# NCollection_DefineStack.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_Stack.hxx>`

## Defines

#define | DEFINE_STACK(_ClassName_, _BaseCollection_, TheItemType) typedef NCollection_Stack<TheItemType > _ClassName_;

## Define Documentation

#define DEFINE_STACK | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheItemType |  | ) | typedef NCollection_Stack<TheItemType > _ClassName_;